rem Version check
ogr2ogr --version > test_run.log
ogrinfo --version >> test_run.log
set CS="PG:host='localhost' port='54321' dbname='test_ogr' user='test_ogr' password='test_ogr'"

rem Remove artefacts from previous run
ogrinfo %CS% -sql "delete from geometry_columns"
ogrinfo %CS% -sql "drop table test_table cascade"

rem Import the table from mapinfo file to Postgre
ogr2ogr -f "PostgreSQL" %CS% "test.tab" -nlt NONE -nln test_table

rem Does the geometry_columns table contains a record for the newly imported table?
ogrinfo %CS% -sql "select * from geometry_columns" >> test_run.log